!set title=Describing People
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
author=Csilla Ducrocq
email=csilla.ducrocq@9online.fr
language=fr
computeanswer=no

ansorder=r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r
varcnt=117
prevarcnt=111
postvarcnt=5
replycnt=49
choicecnt=0
conditioncnt=49
feedbackcnt=1
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

val6=ex2_pictures_sentences
tmp=!nonempty items $val6

tmp0=!randitem $tmp
val7=$(tmp0)
tmp0=!nosubst Choose the sentences that describe the picture and drag them under the relevant heading. <i>(Glisser les phrases à côté du texte qu'elles décrivent)</i>

val8=$(tmp0)
tmp0=!nosubst 

val9=$(tmp0)
val10=
val11=no
val12=no
val13=no
val14=
val15=background-color: #66FF99; margin: 2% 5%; padding: 2%;
val16=background-color: #FFCC99; color: black; margin: 2% 5%; padding: 2%;
val17=
val18=ol li {list-style: upper-alpha; }
val19=yes
val20=450 x 30
val21=
val22=1

!ifval $val8 issametext 
tmp0=!getdef instruction in $val7

val8= $(tmp0)
!endif

!ifval $val9 issametext 
tmp0=!getdef instruction2 in $val7

val9= $(tmp0)
!endif

!ifval $val20 issametext 
tmp0=!getdef size in $val7

val20= $(tmp0)
!endif

!ifval $val12 issametext 
tmp0=!getdef reading_file in $val7

val12= $(tmp0)
!endif
tmp0=!record 0 of $val12

val23=$(tmp0)
val24=aucune de ces possibilités

!ifval $val11 issametext 
tmp0=!getdef audio_file in $val7

val11= $(tmp0)
!endif

!ifval $val11 notsametext  and  $val11 notsametext no
!readproc slib/media/audio $val1/$val11 
tmp0=$slib_out
val25= 	<p align="center">$(tmp0)</p>
!endif

!ifval $val13 issametext 
tmp0=!getdef image_file in $val7

val13= $(tmp0)
!endif

!ifval $val13 notsametext  and  $val13 notsametext no
tmp0=!makelist <img src=$val1/x> for x in $val13

val26= 	$(tmp0)
!endif

!ifval $val14 issametext 
tmp0=!getdef video_file in $val7

val14= $(tmp0)
!endif

!ifval $val14 notsametext  and  $val14 notsametext no
val27= 	<a wims_target=external href="$val1/$val14">[video] </a></p>
!endif

!ifval $val10 issametext 
tmp0=!getdef choice in $val7

val28= $(tmp0)
!else
val28=$val10
!endif
val29=<style type="text/css">	 .question {$val15}	 .reponse {$val16}	 .oefstatement{$val17}	 $val18	 </style>	 
val30=clickfill
val31=
val32=
val33=
val34=yes
val35=2

!ifval $val35 notwordof 1 2 3 4 5 6 7 8 9 10 
val35= 1
!endif
tmp0=!recordcnt $val7

val36=$[rint($(tmp0))]
val37=1
val38=1
val39=3
val38=$[rint(min($val36,$val38))]
val37=$[rint(min($val38*$val37,$val36))]

!ifval $val19 issametext yes 
tmp0=!shuffle $val36

val40= $(tmp0) 
!else
tmp1=!makelist x for x = 1 to $val36

val40=	$(tmp1)
!endif
tmp0=!itemcnt $val6

val41=$(tmp0)
val42=
!if $val19=no 
!for val43  = 1 to $val38 
tmp0=!record $val43 of $val7

val44=$(tmp0)
tmp=!translate internal $	$ to ; in $val44

tmp=!row 1 of $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val45=$(tmp0)
val46=$val44
!if .gif isin $val45 or .jpg isin $val45 or	        .GIF isin $val45 or .JPG isin $val45 
val42=$val42 <p align="center"><img src=$val1/$val45></p>
tmp0=!line 2 to -1 of $val44

val46=$(tmp0)
!endif
!if .mp3 isin $val45 
!readproc slib/media/audio $val1/$val45 
tmp0=$slib_out
val42=$val42 <p align="center">$(tmp0)></p>
tmp0=!line 2 to -1 of $val44

val46=$(tmp0)
!endif
val42=$val42  <p> $val46 </p>
!next
!else
!for val43  = 2 to $val41 
tmp0=!recordcnt $(val6[$val43])

val47=$[rint($(tmp0))]
tmp0=!shuffle $val47

val48=$(tmp0)
tmp=!trim $val40	   $(val48[1..$val38])
val40=!translate internal $	\
$ to ;; in $tmp
!next
!for val43  = 1 to $val38 
tmp0=!record $(val40[$val43]) of $val7

val44=$(tmp0)
tmp=!translate internal $	$ to ; in $val44

tmp=!row 1 of $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val45=$(tmp0)
val46=$val44
!if .gif isin $val45 or .jpg isin $val45 or	        .GIF isin $val45 or .JPG isin $val45 
val42=$val42 <p align="center"><img src=$val1/$val45></p>
tmp0=!line 2 to -1 of $val44

val46=$(tmp0)
!endif
!if .mp3 isin $val45 
!readproc slib/media/audio $val1/$val45 
tmp0=$slib_out
val42=$val42 <p align="center">$(tmp0)></p>
tmp0=!line 2 to -1 of $val44

val46=$(tmp0)
!endif
val42=$val42  <p> $val46 </p>
!next
!endif
tmp0=!embraced randitem $val42

val42=$(tmp0)
val49=0
val50=-1
!readproc slib/text/cutchoice2 $val42 
tmp0=$slib_out
tmp=!trim $(tmp0)
val42=!translate internal $	\
$ to ;; in $tmp
tmp=!translate internal $	$ to ; in $val42

tmp0=!rowcnt $tmp
val51=$(tmp0)
val52=$[rint(($val51+$val50*$val51%2)/2)]
tmp=!trim 
val53=!translate internal $	\
$ to ;; in $tmp
tmp=!trim 
val54=!translate internal $	\
$ to ;; in $tmp
tmp=!trim 
val55=!translate internal $	\
$ to ;; in $tmp
tmp=!trim 
val56=!translate internal $	\
$ to ;; in $tmp
val57=
val58=
tmp=!trim 
val59=!translate internal $	\
$ to ;; in $tmp
!for val43 = 1 to $val52 
val60=$(val42[2*$val43 - $val49;])
tmp0=!itemcnt $val60

val47=$(tmp0)
tmp0=!shuffle $val47

val61=$(tmp0)
val62=$(val60[2..-1])
tmp0=!replace internal | by , in $(val60[1])

val63=$(tmp0)
tmp=!trim $val53	  $val63
val53=!translate internal $	\
$ to ;; in $tmp
tmp=!nonempty items $val63

tmp0=!randitem $tmp
val63=$(tmp0)
val60=$val63,$val62
tmp0=!singlespace $val60,$val28

tmp1=!listuniq $(tmp0)

val60=$(tmp1)
tmp=!trim $val54	  $val60
val54=!translate internal $	\
$ to ;; in $tmp
tmp=!trim $val55	  $val60
val55=!translate internal $	\
$ to ;; in $tmp
tmp0=!positionof item $val63 in $val60

tmp=!trim $val59	  $(tmp0)
val59=!translate internal $	\
$ to ;; in $tmp
val58=$val58,$val47
!next
tmp0=!nonempty items $val58

val58=$(tmp0)

!ifval $val31 issametext yes 
tmp=!trim  $val54 
val56=!translate internal $	\
$ to ;; in $tmp
!else
tmp=!trim  $val55
val56=!translate internal $	\
$ to ;; in $tmp
!endif
!if $val30 iswordof menu and $val31 issametext yes  
tmp0=!rows2lines $val56

tmp1=!lines2items $(tmp0)

val28=$val28,$(tmp1)
tmp=!trim 
val64=!translate internal $	\
$ to ;; in $tmp
tmp=!trim 
val59=!translate internal $	\
$ to ;; in $tmp
!for val43  = 1 to $val52 
tmp0=!listuniq $(val56[$val43;]),$val28

tmp=!trim $val64	      $(tmp0)
val64=!translate internal $	\
$ to ;; in $tmp
tmp0=!positionof item $(val56[$(val59[$val43;])]) in $(val64[$val43;])

tmp=!trim $val59	  $(tmp0)
val59=!translate internal $	\
$ to ;; in $tmp
!next
tmp=!trim $val64
val56=!translate internal $	\
$ to ;; in $tmp
!endif

!ifval $val30 iswordof clickfill case dragfill menu 
tmp=!trim  $val53
val59=!translate internal $	\
$ to ;; in $tmp
!endif

!ifval $val28 notsametext 
tmp0=!replace internal ; by , in $val53

tmp1=!append item $(tmp0) to $val28

val28= $(tmp1)
!endif
tmp0=!makelist r x for x=1 to $val52

val65=$(tmp0)
tmp0=!makelist x for x=1 to $val52

val66=$(tmp0)
val67=$val65

!ifval $val30 iswordof dragfill clickfill 
val20= $val20 x 1
!endif
dynsteps=yes
oefsteps=$val67 
nextstep=!nosubst $val67 
!readproc oef/steps.proc
replytype1=$val30

replyoption1=shuffle 
replyname1=
replygood1=?analyze 68;$(val56[1;])
replytype2=$val30

replyoption2=shuffle 
replyname2=
replygood2=?analyze 69;$(val56[2;])
replytype3=$val30

replyoption3=shuffle 
replyname3=
replygood3=?analyze 70;$(val56[3;])
replytype4=$val30

replyoption4=shuffle 
replyname4=
replygood4=?analyze 71;$(val56[4;])
replytype5=$val30

replyoption5=shuffle 
replyname5=
replygood5=?analyze 72;$(val56[5;])
replytype6=$val30

replyoption6=shuffle 
replyname6=
replygood6=?analyze 73;$(val56[6;])
replytype7=$val30

replyoption7=shuffle 
replyname7=
replygood7=?analyze 74;$(val56[7;])
replytype8=$val30

replyoption8=shuffle 
replyname8=
replygood8=?analyze 75;$(val56[8;])
replytype9=$val30

replyoption9=shuffle 
replyname9=
replygood9=?analyze 76;$(val56[9;])
replytype10=$val30

replyoption10=shuffle 
replyname10=
replygood10=?analyze 77;$(val56[10;])
replytype11=$val30

replyoption11=shuffle 
replyname11=
replygood11=?analyze 78;$(val56[11;])
replytype12=$val30

replyoption12=shuffle 
replyname12=
replygood12=?analyze 79;$(val56[12;])
replytype13=$val30

replyoption13=shuffle 
replyname13=
replygood13=?analyze 80;$(val56[13;])
replytype14=$val30

replyoption14=shuffle 
replyname14=
replygood14=?analyze 81;$(val56[14;])
replytype15=$val30

replyoption15=shuffle 
replyname15=
replygood15=?analyze 82;$(val56[15;])
replytype16=$val30

replyoption16=shuffle 
replyname16=
replygood16=?analyze 83;$(val56[16;])
replytype17=$val30

replyoption17=shuffle 
replyname17=
replygood17=?analyze 84;$(val56[17;])
replytype18=$val30

replyoption18=shuffle 
replyname18=
replygood18=?analyze 85;$(val56[18;])
replytype19=$val30

replyoption19=shuffle 
replyname19=
replygood19=?analyze 86;$(val56[19;])
replytype20=$val30

replyoption20=shuffle 
replyname20=
replygood20=?analyze 87;$(val56[20;])
replytype21=$val30

replyoption21=shuffle 
replyname21=
replygood21=?analyze 88;$(val56[21;])
replytype22=$val30

replyoption22=shuffle 
replyname22=
replygood22=?analyze 89;$(val56[22;])
replytype23=$val30

replyoption23=shuffle 
replyname23=
replygood23=?analyze 90;$(val56[23;])
replytype24=$val30

replyoption24=shuffle 
replyname24=
replygood24=?analyze 91;$(val56[24;])
replytype25=$val30

replyoption25=shuffle 
replyname25=
replygood25=?analyze 92;$(val56[25;])
replytype26=$val30

replyoption26=shuffle 
replyname26=
replygood26=?analyze 93;$(val56[26;])
replytype27=$val30

replyoption27=shuffle 
replyname27=
replygood27=?analyze 94;$(val56[27;])
replytype28=$val30

replyoption28=shuffle 
replyname28=
replygood28=?analyze 95;$(val56[28;])
replytype29=$val30

replyoption29=shuffle 
replyname29=
replygood29=?analyze 96;$(val56[29;])
replytype30=$val30

replyoption30=shuffle 
replyname30=
replygood30=?analyze 97;$(val56[30;])
replytype31=$val30

replyoption31=shuffle 
replyname31=
replygood31=?analyze 98;$(val56[31;])
replytype32=$val30

replyoption32=shuffle 
replyname32=
replygood32=?analyze 99;$(val56[32;])
replytype33=$val30

replyoption33=shuffle 
replyname33=
replygood33=?analyze 100;$(val56[33;])
replytype34=$val30

replyoption34=shuffle 
replyname34=
replygood34=?analyze 101;$(val56[34;])
replytype35=$val30

replyoption35=shuffle 
replyname35=
replygood35=?analyze 102;$(val56[35;])
replytype36=$val30

replyoption36=shuffle 
replyname36=
replygood36=?analyze 103;$(val56[36;])
replytype37=$val30

replyoption37=shuffle 
replyname37=
replygood37=?analyze 104;$(val56[37;])
replytype38=$val30

replyoption38=shuffle 
replyname38=
replygood38=?analyze 105;$(val56[38;])
replytype39=$val30

replyoption39=shuffle 
replyname39=
replygood39=?analyze 106;$(val56[39;])
replytype40=$val30

replyoption40=shuffle 
replyname40=
replygood40=?analyze 107;$(val56[40;])
replytype41=$val30

replyoption41=shuffle 
replyname41=
replygood41=?analyze 108;$(val56[41;])
replytype42=$val30

replyoption42=shuffle 
replyname42=
replygood42=?analyze 109;$(val56[42;])
replytype43=$val30

replyoption43=shuffle 
replyname43=
replygood43=?analyze 110;$(val56[43;])
replytype44=$val30

replyoption44=shuffle 
replyname44=
replygood44=?analyze 111;$(val56[44;])
replytype45=$val30

replyoption45=shuffle 
replyname45=
replygood45=?analyze 112;$(val56[45;])
replytype46=$val30

replyoption46=shuffle 
replyname46=
replygood46=?analyze 113;$(val56[46;])
replytype47=$val30

replyoption47=shuffle 
replyname47=
replygood47=?analyze 114;$(val56[47;])
replytype48=$val30

replyoption48=shuffle 
replyname48=
replygood48=?analyze 115;$(val56[48;])
replytype49=$val30

replyoption49=shuffle 
replyname49=
replygood49=?analyze 116;$(val56[49;])
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()	$val29 $val8  	   
!if $val23 notsametext  
$() 
!read oef/special.phtml help reading,[à lire] 
$() 
!endif
$()	   
!if $val26 notsametext  
$() 
!read oef/special.phtml help image,[à regarder] 
$() 
!endif
$()	  $val25$val27	  <div class="question">	 
!if $val30 iswordof case dragfill clickfill 
$()	    
!for m_k = 1 to $val52 
$()	    $(val42[2*$m_k-1-$val49;])   
!if r $m_k isitemof $val67 
$() 
!read oef/embed.phtml $(val65[$m_k]),$val20 
$() 
!else
$() 	        
!if $(val57[$m_k]) isitemof $(val53[$m_k;]) 
$()<font color=green><b>$(val57[$m_k])</b></font> 
!else
$()	    	    
!if $val34=yes 
$()<font color=green><b>$(val53[$m_k;1])</b></font> 
!endif
$()	   <font color=red><b><strike>$(val57[$m_k])</strike></b></font> 
!endif
$()	    
!endif
$()	   
!next
$()	  $(val42[2*$val52+1-$val49;])	 
!endif
$()	 
!if $val30 iswordof menu 
$()	    
!for m_k = 1 to $val52 
$()	    $(val42[2*$m_k-1-$val49;])   
!if r $m_k isitemof $val67 
$() 
!read oef/embed.phtml $(val65[$m_k]) 
$() 
!else
$() 	        
!if $(val57[$m_k]) isitemof $(val53[$m_k;]) 
$()<font color=green><b>$(val57[$m_k])</b></font> 
!else
$()	    	    
!if $val34=yes 
$()<font color=green><b>$(val53[$m_k;1])</b></font> 
!endif
$()	   <font color=red><b><strike>$(val57[$m_k])</strike></b></font> 
!endif
$()	    
!endif
$()	   
!next
$()	  $(val42[2*$val52+1-$val49;])	 
!endif
$()		 
!if $val30 iswordof mark 
$()	   
!for m_k = 1 to $val52 
$()	    $(val42[2*$m_k-1-$val49;])   
!if r $m_k isitemof $val67 
$()/	       
!for m_K = 1 to $(val58[$m_k]) 
$()  
!read oef/embed.phtml $(val65[$m_k]),\K 
$()/ 
!next
$()	    
!else
$() 	        
!if $(val57[$m_k]) isitemof $(val59[$m_k;]) 
$()<font color=green><b>$(val56[$m_k;$(val57[$m_k])])</b></font> 
!else
$()	    	    
!if $val34=yes 
$()<font color=green><b>$(val53[$m_k;1])</b></font> 
!endif
$()	   <font color=red><b><strike>$(val56[$m_k;$(val57[$m_k])])</strike></b></font> 
!endif
$()	    
!endif
$()	   
!next
$()	  $(val42[2*$val52+1-$val49;])	 
!endif
$()	  </div>	  	 
!if $val28 notsametext and $val30=case 
$()	<div class="reponse">$val28</div>	 
!endif
$()	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:latex
$()
$()
!exit

:postdef
val57=$val68,$val69,$val70,$val71,$val72,$val73,$val74,$val75,$val76,	$val77,$val78,$val79,$val80,$val81,$val82,$val83,$val84,$val85,$val86,	$val87,$val88,$val89,$val90,$val91,$val92,$val93,$val94,$val95,$val96,	$val97,$val98,$val99,$val100,$val101,$val102,$val103,$val104,$val105,$val106,	$val107,$val108,$val109,$val110,$val111,$val112,$val113,$val114,$val115,$val116	
val67=
!if $m_step<=$val35 
!for val43 =1 to $val52 

!ifval $(val57[$val43]) notitemof $(val59[$val43;]) 
val67= $val67,r $val43
!endif
!next
!endif
val117=$[rint($m_step-1)]

!exit

:feedback
!ifval 1=1
 <p> 
!if $val35 > 1 
$()Vous avez eu besoin de $val117 	   
!if $val117=1 
$()essai. 
!else
$() essais. 
!endif
$() 
!endif
$()	  
$()
!endif

!exit

:test

condlist=$val66
condoption1=hide 

!ifval $val68 isitemof $(val59[1;])
 condtest1=1
!else
 condtest1=0
!endif
condname1=1
condoption2=hide 

!ifval $val69 isitemof $(val59[2;])
 condtest2=1
!else
 condtest2=0
!endif
condname2=2
condoption3=hide 

!ifval $val70 isitemof $(val59[3;])
 condtest3=1
!else
 condtest3=0
!endif
condname3=3
condoption4=hide 

!ifval $val71 isitemof $(val59[4;])
 condtest4=1
!else
 condtest4=0
!endif
condname4=4
condoption5=hide 

!ifval $val72 isitemof $(val59[5;])
 condtest5=1
!else
 condtest5=0
!endif
condname5=5
condoption6=hide 

!ifval $val73 isitemof $(val59[6;])
 condtest6=1
!else
 condtest6=0
!endif
condname6=6
condoption7=hide 

!ifval $val74 isitemof $(val59[7;])
 condtest7=1
!else
 condtest7=0
!endif
condname7=7
condoption8=hide 

!ifval $val75 isitemof $(val59[8;])
 condtest8=1
!else
 condtest8=0
!endif
condname8=8
condoption9=hide 

!ifval $val76 isitemof $(val59[9;])
 condtest9=1
!else
 condtest9=0
!endif
condname9=9
condoption10=hide 

!ifval $val77 isitemof $(val59[10;])
 condtest10=1
!else
 condtest10=0
!endif
condname10=10
condoption11=hide 

!ifval $val78 isitemof $(val59[11;])
 condtest11=1
!else
 condtest11=0
!endif
condname11=11
condoption12=hide 

!ifval $val79 isitemof $(val59[12;])
 condtest12=1
!else
 condtest12=0
!endif
condname12=12
condoption13=hide 

!ifval $val80 isitemof $(val59[13;])
 condtest13=1
!else
 condtest13=0
!endif
condname13=13
condoption14=hide 

!ifval $val81 isitemof $(val59[14;])
 condtest14=1
!else
 condtest14=0
!endif
condname14=14
condoption15=hide 

!ifval $val82 isitemof $(val59[15;])
 condtest15=1
!else
 condtest15=0
!endif
condname15=15
condoption16=hide 

!ifval $val83 isitemof $(val59[16;])
 condtest16=1
!else
 condtest16=0
!endif
condname16=16
condoption17=hide 

!ifval $val84 isitemof $(val59[17;])
 condtest17=1
!else
 condtest17=0
!endif
condname17=17
condoption18=hide 

!ifval $val85 isitemof $(val59[18;])
 condtest18=1
!else
 condtest18=0
!endif
condname18=18
condoption19=hide 

!ifval $val86 isitemof $(val59[19;])
 condtest19=1
!else
 condtest19=0
!endif
condname19=19
condoption20=hide 

!ifval $val87 isitemof $(val59[20;])
 condtest20=1
!else
 condtest20=0
!endif
condname20=20
condoption21=hide 

!ifval $val88 isitemof $(val59[21;])
 condtest21=1
!else
 condtest21=0
!endif
condname21=21
condoption22=hide 

!ifval $val89 isitemof $(val59[22;])
 condtest22=1
!else
 condtest22=0
!endif
condname22=22
condoption23=hide 

!ifval $val90 isitemof $(val59[23;])
 condtest23=1
!else
 condtest23=0
!endif
condname23=23
condoption24=hide 

!ifval $val91 isitemof $(val59[24;])
 condtest24=1
!else
 condtest24=0
!endif
condname24=24
condoption25=hide 

!ifval $val92 isitemof $(val59[25;])
 condtest25=1
!else
 condtest25=0
!endif
condname25=25
condoption26=hide 

!ifval $val93 isitemof $(val59[26;])
 condtest26=1
!else
 condtest26=0
!endif
condname26=26
condoption27=hide 

!ifval $val94 isitemof $(val59[27;])
 condtest27=1
!else
 condtest27=0
!endif
condname27=27
condoption28=hide 

!ifval $val95 isitemof $(val59[28;])
 condtest28=1
!else
 condtest28=0
!endif
condname28=28
condoption29=hide 

!ifval $val96 isitemof $(val59[29;])
 condtest29=1
!else
 condtest29=0
!endif
condname29=29
condoption30=hide 

!ifval $val97 isitemof $(val59[30;])
 condtest30=1
!else
 condtest30=0
!endif
condname30=30
condoption31=hide 

!ifval $val98 isitemof $(val59[31;])
 condtest31=1
!else
 condtest31=0
!endif
condname31=31
condoption32=hide 

!ifval $val99 isitemof $(val59[32;])
 condtest32=1
!else
 condtest32=0
!endif
condname32=32
condoption33=hide 

!ifval $val100 isitemof $(val59[33;])
 condtest33=1
!else
 condtest33=0
!endif
condname33=33
condoption34=hide 

!ifval $val101 isitemof $(val59[34;])
 condtest34=1
!else
 condtest34=0
!endif
condname34=34
condoption35=hide 

!ifval $val102 isitemof $(val59[35;])
 condtest35=1
!else
 condtest35=0
!endif
condname35=35
condoption36=hide 

!ifval $val103 isitemof $(val59[36;])
 condtest36=1
!else
 condtest36=0
!endif
condname36=36
condoption37=hide 

!ifval $val104 isitemof $(val59[37;])
 condtest37=1
!else
 condtest37=0
!endif
condname37=37
condoption38=hide 

!ifval $val105 isitemof $(val59[38;])
 condtest38=1
!else
 condtest38=0
!endif
condname38=38
condoption39=hide 

!ifval $val106 isitemof $(val59[39;])
 condtest39=1
!else
 condtest39=0
!endif
condname39=39
condoption40=hide 

!ifval $val107 isitemof $(val59[40;])
 condtest40=1
!else
 condtest40=0
!endif
condname40=40
condoption41=hide 

!ifval $val108 isitemof $(val59[41;])
 condtest41=1
!else
 condtest41=0
!endif
condname41=41
condoption42=hide 

!ifval $val109 isitemof $(val59[42;])
 condtest42=1
!else
 condtest42=0
!endif
condname42=42
condoption43=hide 

!ifval $val110 isitemof $(val59[43;])
 condtest43=1
!else
 condtest43=0
!endif
condname43=43
condoption44=hide 

!ifval $val111 isitemof $(val59[44;])
 condtest44=1
!else
 condtest44=0
!endif
condname44=44
condoption45=hide 

!ifval $val112 isitemof $(val59[45;])
 condtest45=1
!else
 condtest45=0
!endif
condname45=45
condoption46=hide 

!ifval $val113 isitemof $(val59[46;])
 condtest46=1
!else
 condtest46=0
!endif
condname46=46
condoption47=hide 

!ifval $val114 isitemof $(val59[47;])
 condtest47=1
!else
 condtest47=0
!endif
condname47=47
condoption48=hide 

!ifval $val115 isitemof $(val59[48;])
 condtest48=1
!else
 condtest48=0
!endif
condname48=48
condoption49=hide 

!ifval $val116 isitemof $(val59[49;])
 condtest49=1
!else
 condtest49=0
!endif
condname49=49

!exit

:stat
vsavelist=8,20,23,25,26,27,28,29,30,34,35,42,43,49,52,53,56,57,58,59,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116
embedcnt=5
